Hey, bitte registriere dich, um alle Funktionen nutzen zu können!

Mach's gut, CyanogenMod. Hallo LineageOS. ♥ Unsere Community freut sich auf die neue Ära.

Wie soll ich meine Frage im LineageOS Forum posten?


Themabewertung:
  • 0 Bewertung(en) - 0 im Durchschnitt
  • 1
  • 2
  • 3
  • 4
  • 5
[ANDROID] Magisk auf Stock Android 6.01
#1
Hallo ich habe ein SM-N910F, mit SuperSU gerootet und natürlich TWRP.

Nun funktionieren bakanntlich manche Finanz-Apps nicht auf SuperSU gerooteten Geräten, deswegen wollte ich auf Magisk wechseln:

Also Magisk 19.4 (20er soll Macken haben) als ZIP geflasht und die Fehlermeldung "incompatible system ..." und irgend etwas mit ARM (Processor). Aber in dem Handy steckt ja ein Qualcomm Adreno 420?

Fakt: Gerät nicht mehr gerootet, also wieder SuperSU geflasht.

Meine Frage: was habe ich falsch gemacht?

Danke für Eure Mühe

Gottfried
Antworten
#2
Fehler Nr. 1: SuperSU zu installieren.
Fehler Nr. 2: SuperSU vor Magisk nicht zu deinstallieren
Fehler Nr. 3: Magisk ohne TWRP installieren zu wollen.

Genug Fehler?
Antworten
#3
Adreno ist der Grafikchip

i9505 mit LOS17.1
Antworten
#4
Hallo,

Fehler Nr. 1: SuperSU zu installieren.
... das war lange Zeit drauf und ich war zufrieden = offensichtlich kein Fehler

Fehler Nr. 2: SuperSU vor Magisk nicht zu deinstallieren
...OK Fehler

Fehler Nr. 3: Magisk ohne TWRP installieren zu wollen.
...wieso Magisk wurde via TWRP geflasht - schreibe ich doch - oder?
kein Fehler

OK 1:2 für Dich?

OK, Chip ist qcom APQ8084 .... was hat das für einen Zusammenhang mit der Fehlermeldung?

> Genug Fehler?
ist in einem freundschaftlichen Forum doch eher entbehrlich?
Antworten
#5
Das hat eigentlich keinen Zusammenhang, aber den hattest Du doch hergestellt!?

Prozessor ist der Snapdragon 805
APQ... ist das Modem- bzw. "Mother"-board, also das aussen um den Prozessor herum.

Ob Magisk 19 für Android 6 funktioniert, kann ich leider nicht sagen. Eventuell muss das noch älter sein?

i9505 mit LOS17.1
Antworten
#6
Hallo noch einmal,

so - nun habe ich zuerst mit SuperSU ein final Unroot gemacht; ins Recovery gebootet - TWRP, Magisk 19.4 versucht zu flashen:


nach - Checking Ramdisk  status:
!Boot image patched by unsupported programs
!Please restore back to 'stock boot image'

OK, das habe natürlich nicht gemacht sondern SuperSU geflasht.

Aber die Frage ist "älteres Magisk" (...an und für sich ist Android 5 oder höher gefordert) verwenden oder geht das einfach nicht!

Danke

Gottfried


Angehängte Dateien Thumbnail(s)
   
Antworten
#7
Eigentlich wollen SuperSU und Magisk (gemäß Anleitung) einen originalen Bootloader (also StockROM).
Bei SuperSU hatte ich immer einen.
Bei Magisk nie.
Hat trotzdem immer funktioniert.
Ich denke, daß Magisk nur irgendwelche Reste vom SuperSU "sieht" und das bemängelt.
Ich würde denken Du musst nochmal ganz von vorne anfangen (also Stock flashen, dann TWRP, dann Magisk).

"Altes Magisk" meint ein Magisk für Android 6. Aus der Zeit, wo viele Benutzer ein Android 6 hatten und deshalb Fehler schnell entdeckt wurden. Magisk 20 wird nur auf wenigen Android 6 Geräten laufen, deshalb können JETZT Fehler drin sein die nur unter originalem Android 6 auftreten.

i9505 mit LOS17.1
Antworten



Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Zwei Fragen zu ''Nicht Stören''-Modus bei MIUI 10 / Android 9 MingaCity 0 1.790 08.10.2019, 01:50
Letzter Beitrag: MingaCity
  Zwischen Mobilfunksignal und Lautsprecher .... .... kommt nix außer Android System HanssnaH 3 1.047 02.08.2019, 20:08
Letzter Beitrag: llluuuzzziii
  SuperSU -> unSU -> Magisk Volker Wysk 2 1.946 14.02.2019, 20:08
Letzter Beitrag: Volker Wysk
  Rootzugriff über die ADB bei Android 8.0.0 Oreo Volker Wysk 9 2.987 31.01.2019, 15:20
Letzter Beitrag: reset
  [ANDROID] Update over the air oder Stock-rom? gfr 2 1.397 22.10.2018, 18:18
Letzter Beitrag: gfr

Gehe zu:


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste